跳转到主要内容
基础设施相关接口/联邦与 SSO
POSTFederation起始版本 1.0同步需要认证

预览删除 SSO 配置

预览删除 SSO 配置的影响,返回阻断项、级联资源、孤立资源、终结器和可用策略。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • idString必填

    资源ID。

请求体字段

  • tenantUuidString必填

    租户UUID。

    示例: deprecated-tenant-uuid

  • optionsObject必填

    资源。

    • propagationPolicyString

      传播策略。

      示例: value

    • forceBoolean

      是否强制执行。

      示例: true

    • gracePeriodSecondsInteger

      宽限周期秒。

      示例: 10

    • revokeRemoteCredentialsBoolean

      撤销远程凭证。

      示例: true

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • blockersList

    阻塞项。

    示例: (nested array)

    • resourceTypeString

      资源类型。

      示例: VmNic

    • resourceUuidString

      资源UUID。若指定,资源会使用该字段值作为UUID。

      示例: b2c3d4e5-f6a7-8901-bcde-f12345678901

    • resourceNameString

      人类可读名称阻塞资源。

      示例: nic-001

    • relationString

      关系。

      示例: AttachedTo

    • suggestionString

      建议信息。

      示例: Detach the NIC before deleting the VM

    • hardBoolean

      硬。

      示例: true

  • cascadeResourcesList

    级联资源。

    示例: (nested array)

    • resourceTypeString

      资源类型。

      示例: Volume

    • resourceUuidString

      资源UUID。若指定,资源会使用该字段值作为UUID。

      示例: c3d4e5f6-a7b8-9012-cdef-123456789012

    • resourceNameString

      人类可读名称相关资源。

      示例: vol-data-01

  • orphanResourcesList

    孤立资源。

    示例: (nested array)

    • resourceTypeString

      资源类型。

      示例: Volume

    • resourceUuidString

      资源UUID。若指定,资源会使用该字段值作为UUID。

      示例: c3d4e5f6-a7b8-9012-cdef-123456789012

    • resourceNameString

      人类可读名称相关资源。

      示例: vol-data-01

  • finalizersList

    终结器。

    示例: (nested array)

    • nameString

      资源名称。

      示例: cleanup-network

    • descriptionString

      资源的详细描述。

      示例: Releases network interfaces associated with the resource

    • statusString

      状态信息。

      示例: Succeeded

    • errorString

      错误码。操作成功时为 null,失败时返回具体错误信息。

      示例: timeout waiting for network release

  • availablePoliciesList

    可用策略。

    示例: item1,item2

  • softDeleteRecoverableBoolean

    软删除可恢复。

    示例: true

请求地址

POST/api/v1/sso/configurations/{id}/previewDelete

/api/v1/sso/configurations/{id}/previewDelete

操作 ID

PreviewDeleteSSOConfig

永久链接

请求示例

curl -X POST '{host}/api/v1/sso/configurations/{id}/previewDelete' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"tenantUuid":"deprecated-tenant-uuid","options":{"propagationPolicy":"value","force":true,"gracePeriodSeconds":10,"revokeRemoteCredentials":true}}'

响应示例

200
{"blockers": [{"resourceType": "VmNic", "resourceUuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901", "resourceName": "nic-001", "relation": "AttachedTo", "suggestion": "Detach the NIC before deleting the VM", "hard": true}], "cascadeResources": [{"resourceType": "Volume", "resourceUuid": "c3d4e5f6-a7b8-9012-cdef-123456789012", "resourceName": "vol-data-01"}], "orphanResources": [{"resourceType": "Volume", "resourceUuid": "c3d4e5f6-a7b8-9012-cdef-123456789012", "resourceName": "vol-data-01"}], "finalizers": [{"name": "cleanup-network", "description": "Releases network interfaces associated with the resource", "status": "Succeeded", "error": "timeout waiting for network release"}], "availablePolicies": ["value"], "softDeleteRecoverable": true}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史